### Virtual Method

# Gio MountOperation show_processes

since: 2.22

#### Declaration

    void
    show_processes (
      GMountOperation* op,
      const gchar* message,
      GArray* processes,
      const gchar** choices
    )

#### Description

Virtual implementation of `GMountOperation::show-processes`.

Available since: 2.22

#### Parameters

`message`

  Type: `const gchar*`

  String containing a message to display to the user.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`processes`

  Type: An array of `GPid`

  An array of `GPid` for processes blocking the operation.

  The data is owned by the caller of the method.

`choices`

  Type: An array of `utf8`

  An array of strings for each possible choice.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.